<?php
/*
; Fields CG Version 
; Package			: Joomla 4.x/5.x
; copyright 		: Copyright (C) 2023 ConseilGouz. All rights reserved.
; license    		: https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
*/
namespace ConseilGouz\Plugin\Fields\Cgversion\Extension;
defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Form\Form;
use Joomla\CMS\Form\FormHelper;
use Joomla\Component\Fields\Administrator\Plugin\FieldsPlugin;

class Cgversion extends FieldsPlugin 
{
	public function onCustomFieldsPrepareDom($field, \DOMElement $parent, Form $form)
    {
        $fieldNode = parent::onCustomFieldsPrepareDom($field, $parent, $form);

        if (!$fieldNode) {
            return $fieldNode;
        }

		FormHelper::addFieldPrefix('ConseilGouz\Plugin\Fields\Cgversion\Form\Field');
        return $fieldNode;
    }
}