<?php
/*
; Fields CG Version 
; Package			: Joomla 4.x/5.x
; copyright 		: Copyright (C) 2024 ConseilGouz. All rights reserved.
; license    		: https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
*/
namespace ConseilGouz\Plugin\Fields\Cgversion\Form\Field;

defined('_JEXEC') or die('Restricted access');
use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Factory;
use Joomla\CMS\Form\FormField;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\Component\Content\Site\Model\ArticleModel;

class CgversionField extends FormField
{
    protected $type = 'CGVersion';

    public function getInput()
    {
        $model   = new ArticleModel(array('ignore_request' => true));
        $app       = Factory::getApplication();

        $jinput = $app->input;
        $id = $jinput->get('id');
        
        $model->setState('params', ComponentHelper::getParams('com_content'));
        
        $item = $model->getItem($id);
        $version = $item->version;
        $str = 'version '.$version.' révisée le '.HTMLHelper::date($item->modified,Text::_('DATE_FORMAT_FILTER_DATETIME'));
            
		$def_form = "";
		$def_form .= '<div class="cg_version">'.$str.'</div>';
        return $def_form;
    }
}