<?php
/*
; Fields CG Content Version
; Package			: Joomla 4.x/5.x
; copyright 		: Copyright (C) 2024 ConseilGouz. All rights reserved.
; license    		: https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
*/
defined('_JEXEC') or die;
use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\Component\Content\Site\Model\ArticleModel;

// CSS personnalisé
$css = $fieldParams->get('css','');
$document = Factory::getDocument();
$document->addStyleDeclaration($css);

$model      = new ArticleModel(array('ignore_request' => true));
$app        = Factory::getApplication();


$jinput = $app->input;
$id = $jinput->get('id');
if (!$id) return;

$model->setState('params',  ComponentHelper::getParams('com_content'));

$item = $model->getItem($id);
$version = $item->version;
$str = 'Version n°'.$version.' révisée le '.HTMLHelper::date($item->modified,Text::_('DATE_FORMAT_FILTER_DATE'));

$html = '<div class="cgcontentversion_'.$field->name.'">'.$str."</div>";
echo $html;

